2017-10-21 23:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0013351CentOS-7rpcbindpublic2017-06-13 20:49
Reporterspersvold 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS Version3.10.0-514.21.1.
Product Version 
Target VersionFixed in Version 
Summary0013351: rpcbind crashes with "invalid pointer"
DescriptionAfter a few seconds of running, rpcbind crashes with :

*** Error in `/sbin/rpcbind': free(): invalid pointer: 0x00007ffece2033b0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7c503)[0x7f374f98f503]
/lib64/libtirpc.so.1(xdr_bytes+0x8b)[0x7f37501170ab]
/sbin/rpcbind(+0x672b)[0x7f375054e72b]
/sbin/rpcbind(+0x422d)[0x7f375054c22d]
/lib64/libtirpc.so.1(svc_getreq_common+0x251)[0x7f3750111511]
/lib64/libtirpc.so.1(svc_getreq_poll+0x8b)[0x7f37501116ab]
/sbin/rpcbind(+0x7832)[0x7f375054f832]
/sbin/rpcbind(+0x3600)[0x7f375054b600]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f374f934b35]
/sbin/rpcbind(+0x3800)[0x7f375054b800]
======= Memory map: ========
7f3748000000-7f3748021000 rw-p 00000000 00:00 0
7f3748021000-7f374c000000 ---p 00000000 00:00 0
7f374c467000-7f374c473000 r-xp 00000000 103:02 68200445 /usr/lib64/libnss_files-2.17.so
7f374c473000-7f374c672000 ---p 0000c000 103:02 68200445 /usr/lib64/libnss_files-2.17.so
7f374c672000-7f374c673000 r--p 0000b000 103:02 68200445 /usr/lib64/libnss_files-2.17.so
7f374c673000-7f374c674000 rw-p 0000c000 103:02 68200445 /usr/lib64/libnss_files-2.17.so
7f374c674000-7f374c67a000 rw-p 00000000 00:00 0
7f374c67a000-7f374c689000 r-xp 00000000 103:02 67172753 /usr/lib64/libbz2.so.1.0.6
7f374c689000-7f374c888000 ---p 0000f000 103:02 67172753 /usr/lib64/libbz2.so.1.0.6
7f374c888000-7f374c889000 r--p 0000e000 103:02 67172753 /usr/lib64/libbz2.so.1.0.6
7f374c889000-7f374c88a000 rw-p 0000f000 103:02 67172753 /usr/lib64/libbz2.so.1.0.6
7f374c88a000-7f374c89f000 r-xp 00000000 103:02 68933004 /usr/lib64/libz.so.1.2.7
7f374c89f000-7f374ca9e000 ---p 00015000 103:02 68933004 /usr/lib64/libz.so.1.2.7
7f374ca9e000-7f374ca9f000 r--p 00014000 103:02 68933004 /usr/lib64/libz.so.1.2.7
7f374ca9f000-7f374caa0000 rw-p 00015000 103:02 68933004 /usr/lib64/libz.so.1.2.7
7f374caa0000-7f374cab7000 r-xp 00000000 103:02 68933017 /usr/lib64/libelf-0.166.so
7f374cab7000-7f374ccb6000 ---p 00017000 103:02 68933017 /usr/lib64/libelf-0.166.so
7f374ccb6000-7f374ccb7000 r--p 00016000 103:02 68933017 /usr/lib64/libelf-0.166.so
7f374ccb7000-7f374ccb8000 rw-p 00017000 103:02 68933017 /usr/lib64/libelf-0.166.so
7f374ccb8000-7f374cd18000 r-xp 00000000 103:02 67177774 /usr/lib64/libpcre.so.1.2.0
7f374cd18000-7f374cf17000 ---p 00060000 103:02 67177774 /usr/lib64/libpcre.so.1.2.0
7f374cf17000-7f374cf18000 r--p 0005f000 103:02 67177774 /usr/lib64/libpcre.so.1.2.0
7f374cf18000-7f374cf19000 rw-p 00060000 103:02 67177774 /usr/lib64/libpcre.so.1.2.0
7f374cf19000-7f374cf1d000 r-xp 00000000 103:02 67172771 /usr/lib64/libattr.so.1.1.0
7f374cf1d000-7f374d11c000 ---p 00004000 103:02 67172771 /usr/lib64/libattr.so.1.1.0
7f374d11c000-7f374d11d000 r--p 00003000 103:02 67172771 /usr/lib64/libattr.so.1.1.0
7f374d11d000-7f374d11e000 rw-p 00004000 103:02 67172771 /usr/lib64/libattr.so.1.1.0
7f374d11e000-7f374d121000 r-xp 00000000 103:02 67173031 /usr/lib64/libkeyutils.so.1.5
7f374d121000-7f374d320000 ---p 00003000 103:02 67173031 /usr/lib64/libkeyutils.so.1.5
7f374d320000-7f374d321000 r--p 00002000 103:02 67173031 /usr/lib64/libkeyutils.so.1.5
7f374d321000-7f374d322000 rw-p 00003000 103:02 67173031 /usr/lib64/libkeyutils.so.1.5
7f374d322000-7f374d32f000 r-xp 00000000 103:02 67173558 /usr/lib64/libkrb5support.so.0.1
7f374d32f000-7f374d52f000 ---p 0000d000 103:02 67173558 /usr/lib64/libkrb5support.so.0.1
7f374d52f000-7f374d530000 r--p 0000d000 103:02 67173558 /usr/lib64/libkrb5support.so.0.1
7f374d530000-7f374d531000 rw-p 0000e000 103:02 67173558 /usr/lib64/libkrb5support.so.0.1
7f374d531000-7f374d546000 r-xp 00000000 103:02 68280361 /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7f374d546000-7f374d745000 ---p 00015000 103:02 68280361 /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7f374d745000-7f374d746000 r--p 00014000 103:02 68280361 /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7f374d746000-7f374d747000 rw-p 00015000 103:02 68280361 /usr/lib64/libgcc_s-4.8.5-20150702.so.1
7f374d747000-7f374d749000 r-xp 00000000 103:02 67172583 /usr/lib64/libdl-2.17.so
7f374d749000-7f374d949000 ---p 00002000 103:02 67172583 /usr/lib64/libdl-2.17.so
7f374d949000-7f374d94a000 r--p 00002000 103:02 67172583 /usr/lib64/libdl-2.17.so
7f374d94a000-7f374d94b000 rw-p 00003000 103:02 67172583 /usr/lib64/libdl-2.17.so
7f374d94b000-7f374d990000 r-xp 00000000 103:02 67172765 /usr/lib64/libdw-0.166.so
7f374d990000-7f374db90000 ---p 00045000 103:02 67172765 /usr/lib64/libdw-0.166.so
7f374db90000-7f374db92000 r--p 00045000 103:02 67172765 /usr/lib64/libdw-0.166.so
7f374db92000-7f374db93000 rw-p 00047000 103:02 67172765 /usr/lib64/libdw-0.166.so
7f374db93000-7f374dba9000 r-xp 00000000 103:02 68200453 /usr/lib64/libresolv-2.17.so
7f374dba9000-7f374dda9000 ---p 00016000 103:02 68200453 /usr/lib64/libresolv-2.17.so
7f374dda9000-7f374ddaa000 r--p 00016000 103:02 68200453 /usr/lib64/libresolv-2.17.so
7f374ddaa000-7f374ddab000 rw-p 00017000 103:02 68200453 /usr/lib64/libresolv-2.17.so
7f374ddab000-7f374ddad000 rw-p 00000000 00:00 0
7f374ddad000-7f374ddb1000 r-xp 00000000 103:02 67172767 /usr/lib64/libgpg-error.so.0.10.0
7f374ddb1000-7f374dfb0000 ---p 00004000 103:02 67172767 /usr/lib64/libgpg-error.so.0.10.0
7f374dfb0000-7f374dfb1000 r--p 00003000 103:02 67172767 /usr/lib64/libgpg-error.so.0.10.0
7f374dfb1000-7f374dfb2000 rw-p 00004000 103:02 67172767 /usr/lib64/libgpg-error.so.0.10.0
7f374dfb2000-7f374e02e000 r-xp 00000000 103:02 68933021 /usr/lib64/libgcrypt.so.11.8.2Aborted
Steps To Reproduce1. Start rpcbind with :

/sbin/rpcbind -w -a -d -f

2. Wait for some seconds/minutes

3. Observe crash
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
related to 0013298resolvedIssue Tracker CentOS-6 rpcbind fails to restart after yum update 
+Relationships

-Notes

~0029378

spersvold (reporter)

rpcbind version is :

Name : rpcbind
Version : 0.2.0
Release : 38.el7_3
Architecture: x86_64
Install Date: Wed 31 May 2017 05:46:47 PM CEST
Group : System Environment/Daemons
Size : 103288
License : BSD
Signature : RSA/SHA256, Mon 22 May 2017 05:32:27 PM CEST, Key ID 24c6a8a7f4a80eb5
Source RPM : rpcbind-0.2.0-38.el7_3.src.rpm
Build Date : Mon 22 May 2017 03:47:32 PM CEST
Build Host : c1bm.rdu2.centos.org
Relocations : (not relocatable)
Packager : CentOS BuildSystem <http://bugs.centos.org>
Vendor : CentOS
URL : http://nfsv4.bullopensource.org
Summary : Universal Addresses to RPC Program Number Mapper
Description :
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.

~0029379

spersvold (reporter)

Downgrading to an "older" rpcbind :

Name : rpcbind
Version : 0.2.0
Release : 38.el7
Architecture: x86_64
Install Date: Thu 01 Jun 2017 08:57:03 AM CEST
Group : System Environment/Daemons
Size : 103272
License : BSD
Signature : RSA/SHA256, Sun 20 Nov 2016 09:35:09 PM CET, Key ID 24c6a8a7f4a80eb5
Source RPM : rpcbind-0.2.0-38.el7.src.rpm
Build Date : Sun 06 Nov 2016 12:48:47 AM CET
Build Host : worker1.bsys.centos.org
Relocations : (not relocatable)
Packager : CentOS BuildSystem <http://bugs.centos.org>
Vendor : CentOS
URL : http://nfsv4.bullopensource.org
Summary : Universal Addresses to RPC Program Number Mapper
Description :
The rpcbind utility is a server that converts RPC program numbers into
universal addresses. It must be running on the host to be able to make
RPC calls on a server on that machine.



So it seems the bug was introduced in :

* Wed May 17 2017 Steve Dickson <steved@redhat.com> - 0.2.0-38_3
- Fixed typo in memory leaks patch (bz 1449462)

~0029383

toracat (manager)

This is a known issue. RH is working on it:

https://bugzilla.redhat.com/show_bug.cgi?id=1454876

~0029465

toracat (manager)

The latest update to rpcbind fixed the issue.
+Notes

-Issue History
Date Modified Username Field Change
2017-06-01 06:51 spersvold New Issue
2017-06-01 06:52 spersvold Note Added: 0029378
2017-06-01 07:06 spersvold Note Added: 0029379
2017-06-01 15:10 toracat Note Added: 0029383
2017-06-06 04:27 toracat Relationship added related to 0013298
2017-06-13 20:49 toracat Status new => resolved
2017-06-13 20:49 toracat Resolution open => fixed
2017-06-13 20:49 toracat Note Added: 0029465
+Issue History